## org.bn.compiler.parser.model
Class ErrorMacro

    java.lang.Object
      org.bn.compiler.parser.model.ErrorMacro

    public class ErrorMacro

extends java.lang.Object

Field Summary
`boolean` `isDefinedType`
`boolean` `isParameter`
`java.lang.String` `name`
`java.lang.String` `parameterName`
`java.lang.String` `typeName`
`java.lang.Object` `typeReference`

Constructor Summary
`ErrorMacro()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isDefinedType

    public boolean isDefinedType

### isParameter

    public boolean isParameter

### name

    public java.lang.String name

### parameterName

    public java.lang.String parameterName

### typeName

    public java.lang.String typeName

### typeReference

    public java.lang.Object typeReference

Constructor Detail

### ErrorMacro

    public ErrorMacro()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`